unit U_QryBaseHelpList;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, U_QryBaseList, cxGraphics, cxControls,
  cxLookAndFeels, cxLookAndFeelPainters, dxSkinsCore, dxSkinsDefaultPainters,
  dxSkinWXI, cxStyles, cxCustomData, cxFilter, cxData, cxDataStorage, cxEdit,
  cxNavigator, dxDateRanges, dxScrollbarAnnotations, Data.DB, cxDBData,
  cxCheckBox, cxContainer, dxBarBuiltInMenu, Datasnap.DBClient,
  cxGridCustomPopupMenu, cxGridPopupMenu, Data.Win.ADODB, MovePanel, cxTextEdit,
  cxMaskEdit, cxDropDownEdit, Vcl.StdCtrls, Vcl.ExtCtrls, FrameDateSel10,
  dxLayoutContainer, dxLayoutControl, cxGridLevel, cxGridCustomTableView,
  cxGridTableView, cxGridDBTableView, cxClasses, cxGridCustomView, cxGrid,
  Vcl.ComCtrls, Vcl.ToolWin;

type
  TfrmQryBaseHelpList = class(TfrmQryBaseList)
    ADOConnection1: TADOConnection;
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmQryBaseHelpList: TfrmQryBaseHelpList;

implementation
uses
  U_dataLink;
{$R *.dfm}

procedure TfrmQryBaseHelpList.FormCreate(Sender: TObject);
begin
  with ADOConnection1 do
  begin
      if not Connected then
      begin
        Connected := false;
        ConnectionString := DConString;
        LoginPrompt := false;
        Connected := true;
      end;
  end;
  inherited;

end;

end.
